Get a portout request
Returns the portout request based on the ID provided
GET
/
portouts
/
{id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const portout = await client.portouts.retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(portout.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
portout = client.portouts.retrieve(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(portout.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
portout, err := client.Portouts.Get(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", portout.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portouts.PortoutRetrieveParams;
import com.telnyx.sdk.models.portouts.PortoutRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PortoutRetrieveResponse portout = client.portouts().retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
portout = telnyx.portouts.retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(portout)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$portout = $client->portouts->retrieve(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'
);
var_dump($portout);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx portouts retrieve \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request GET \
--url https://api.telnyx.com/v2/portouts/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
"record_type": "portout",
"phone_numbers": [
"+35312345678"
],
"authorized_name": "McPortersen",
"carrier_name": "test",
"current_carrier": "telnyx",
"end_user_name": "McPortersen",
"city": "Chicago",
"state": "IL",
"zip": "00000",
"lsr": [
"https://example.com/files/lsr.pdf"
],
"pon": "00000000",
"reason": null,
"rejection_code": 1002,
"service_address": "000 Example Street",
"foc_date": "2018-02-02T22:25:27.521Z",
"requested_foc_date": "2018-02-02T22:25:27.521Z",
"spid": "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
"support_key": "PO_764725",
"status": "rejected",
"already_ported": false,
"user_id": "7865816a-ee85-4e50-b19e-52983dcc6d4a",
"vendor": "0e66ed3b-37e6-4fed-93d6-a30ce2493661",
"created_at": "2018-02-02T22:25:27.521Z",
"inserted_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z",
"host_messaging": false
}
}Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const portout = await client.portouts.retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(portout.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
portout = client.portouts.retrieve(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(portout.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
portout, err := client.Portouts.Get(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", portout.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portouts.PortoutRetrieveParams;
import com.telnyx.sdk.models.portouts.PortoutRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PortoutRetrieveResponse portout = client.portouts().retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
portout = telnyx.portouts.retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(portout)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$portout = $client->portouts->retrieve(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'
);
var_dump($portout);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx portouts retrieve \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request GET \
--url https://api.telnyx.com/v2/portouts/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
"record_type": "portout",
"phone_numbers": [
"+35312345678"
],
"authorized_name": "McPortersen",
"carrier_name": "test",
"current_carrier": "telnyx",
"end_user_name": "McPortersen",
"city": "Chicago",
"state": "IL",
"zip": "00000",
"lsr": [
"https://example.com/files/lsr.pdf"
],
"pon": "00000000",
"reason": null,
"rejection_code": 1002,
"service_address": "000 Example Street",
"foc_date": "2018-02-02T22:25:27.521Z",
"requested_foc_date": "2018-02-02T22:25:27.521Z",
"spid": "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
"support_key": "PO_764725",
"status": "rejected",
"already_ported": false,
"user_id": "7865816a-ee85-4e50-b19e-52983dcc6d4a",
"vendor": "0e66ed3b-37e6-4fed-93d6-a30ce2493661",
"created_at": "2018-02-02T22:25:27.521Z",
"inserted_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z",
"host_messaging": false
}
}